/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Cortesia;
import java.text.SimpleDateFormat;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Shiro
 */
public class RenderCortesia implements ListitemRenderer {
    
    public void render(Listitem lstm, Object o) throws Exception {
        Cortesia cortesia = (Cortesia) o;
        SimpleDateFormat formatoData = new SimpleDateFormat("dd/MM/yyyy");
        
        Listcell lc = new Listcell(cortesia.getCortesiaId().toString());
        lc.setParent(lstm);
        
        lc = new Listcell(cortesia.getEmpleado().getCveEmpleado());
        lc.setParent(lstm);
        
        lc = new Listcell(cortesia.getTipoCortesia() == null ? "" : cortesia.getTipoCortesia().getDesctipo());
        lc.setParent(lstm);
        
        lc = new Listcell(cortesia.getMarca().getDescmarca());
        lc.setParent(lstm);
        
        lc = new Listcell(cortesia.getClaseServicio().getDescclase());
        lc.setParent(lstm);
        
        lc = new Listcell(cortesia.getOrigem().getDescparada());
        lc.setParent(lstm);
        
        lc = new Listcell(cortesia.getDestino().getDescparada());
        lc.setParent(lstm);
        
        lc = new Listcell(cortesia.getMotivoViaje() == null ? "" : cortesia.getMotivoViaje().getDescMotivoViaje());
        lc.setParent(lstm);
        
        if (cortesia.getNdstatus() != null) {
            String status;
            if (cortesia.getNdstatus().equals("P")) {
                status = "Pendiente";
            } else {
                status = "Utilizada";
            }
            lc = new Listcell(status);
        } else {
            lc = new Listcell("-");
        }
        lc.setParent(lstm);
        
        lstm.setAttribute("data", cortesia);
        
        if (cortesia.getFecmodif() != null) {
            lc = new Listcell(formatoData.format(cortesia.getFecmodif()));
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);
    }
}
